pqxx::connect_lazy Class Reference
Connection classes

Lazy connection policy; causes connection to be deferred until first use. More...

`#include <connection.hxx>`

Inheritance diagram for pqxx::connect_lazy:
[legend]

## Public Member Functions

| connect_lazy (const std::string &opts)
virtual handle | do_completeconnect (handle) override
Public Member Functions inherited from pqxx::connectionpolicy
| connectionpolicy (const std::string &opts)
virtual | ~connectionpolicy () noexcept
const std::string & | options () const noexcept
virtual handle | do_startconnect (handle orig)
virtual handle | do_dropconnect (handle orig) noexcept
virtual handle | do_disconnect (handle orig) noexcept
virtual bool | is_ready (handle) const noexcept

## Additional Inherited Members

Public Types inherited from pqxx::connectionpolicy
using | handle = internal::pq::PGconn *
Protected Member Functions inherited from pqxx::connectionpolicy
handle | normalconnect (handle)

## Detailed Description

Lazy connection policy; causes connection to be deferred until first use.

This is connect_direct's lazy younger brother. It does not attempt to open a connection right away; the connection is only created when it is actually used.

## Constructor & Destructor Documentation

## connect_lazy()

pqxx::connect_lazy::connect_lazy | ( | const std::string & | opts | ) |

explicit

The parsing of options is the same as in libpq's PQconnect. See: https://www.postgresql.org/docs/10/static/libpq-connect.html

## Member Function Documentation

## do_completeconnect()

pqxx::connectionpolicy::handle pqxx::connect_lazy::do_completeconnect | ( | handle | orig | ) |

override virtual

Reimplemented from pqxx::connectionpolicy.

The documentation for this class was generated from the following files:

- connection.hxx
- connection.cxx